org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Interface IgniteHistoricalIterator

All Superinterfaces:
  AutoCloseable, GridCloseableIterator<CacheDataRow>, GridIterator<CacheDataRow>, GridSerializableIterator<CacheDataRow>, IgniteSpiCloseableIterator<CacheDataRow>, Iterable<CacheDataRow>, Iterator<CacheDataRow>, Serializable

    public interface IgniteHistoricalIterator
    extends GridCloseableIterator<CacheDataRow>

Iterator that provides history of updates for a subset of partitions.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `contains(int partId)`
`boolean` `isDone(int partId)`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridCloseableIterator

`close, isClosed`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### contains

    boolean contains(int partId)

Parameters:
  `partId` - Partition ID.
Returns:
  `True` if iterator contains data for given partition.

#### isDone

    boolean isDone(int partId)

Parameters:
  `partId` - Partition ID.
Returns:
  `True` if all data for given partition has already been returned.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023